# OsiSolverLinearizedQuadratic Class Reference

This is to allow the user to replace initialSolve and resolve. More...

`#include <CbcLinked.hpp>`

Inheritance diagram for OsiSolverLinearizedQuadratic:
[legend]
Collaboration diagram for OsiSolverLinearizedQuadratic:
[legend]

List of all members.

## Public Member Functions
Solve methods
virtual void | initialSolve ()
| Solve initial LP relaxation.
Constructors and destructors
| OsiSolverLinearizedQuadratic ()
| Default Constructor.
| OsiSolverLinearizedQuadratic (ClpSimplex *quadraticModel)
| Useful constructor (solution should be good).
virtual OsiSolverInterface * | clone (bool copyData=true) const
| Clone.
| OsiSolverLinearizedQuadratic (const OsiSolverLinearizedQuadratic &)
| Copy constructor.
OsiSolverLinearizedQuadratic & | operator= (const OsiSolverLinearizedQuadratic &rhs)
| Assignment operator.
virtual | ~OsiSolverLinearizedQuadratic ()
| Destructor.
Sets and Gets
double | bestObjectiveValue () const
| Objective value of best solution found internally.
const double * | bestSolution () const
| Best solution found internally.
void | setSpecialOptions3 (int value)
| Set special options.
int | specialOptions3 () const
| Get special options.
ClpSimplex * | quadraticModel () const
| Copy of quadratic model if one.
## Protected Attributes
Private member data
double | bestObjectiveValue_
| Objective value of best solution found internally.
ClpSimplex * | quadraticModel_
| Copy of quadratic model if one.
double * | bestSolution_
| Best solution found internally.
int | specialOptions3_
| 0 bit (1) - don't do mini B&B 1 bit (2) - quadratic only in objective

## Detailed Description

This is to allow the user to replace initialSolve and resolve.

Definition at line 1318 of file CbcLinked.hpp.

## Constructor & Destructor Documentation

OsiSolverLinearizedQuadratic::OsiSolverLinearizedQuadratic | ( |  | ) |

Default Constructor.

OsiSolverLinearizedQuadratic::OsiSolverLinearizedQuadratic | ( | ClpSimplex * | quadraticModel | ) |

Useful constructor (solution should be good).

OsiSolverLinearizedQuadratic::OsiSolverLinearizedQuadratic | ( | const OsiSolverLinearizedQuadratic & |  | ) |

Copy constructor.

virtual OsiSolverLinearizedQuadratic::~OsiSolverLinearizedQuadratic | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void OsiSolverLinearizedQuadratic::initialSolve | ( |  | ) | `[virtual]`

Solve initial LP relaxation.

Reimplemented from OsiClpSolverInterface.

virtual OsiSolverInterface* OsiSolverLinearizedQuadratic::clone | ( | bool | copyData = `true` | ) | const`[virtual]`

Clone.

Reimplemented from OsiClpSolverInterface.

OsiSolverLinearizedQuadratic& OsiSolverLinearizedQuadratic::operator= | ( | const OsiSolverLinearizedQuadratic & | rhs | ) |

Assignment operator.

Reimplemented from OsiClpSolverInterface.

double OsiSolverLinearizedQuadratic::bestObjectiveValue | ( |  | ) | const`[inline]`

Objective value of best solution found internally.

Definition at line 1353 of file CbcLinked.hpp.

const double* OsiSolverLinearizedQuadratic::bestSolution | ( |  | ) | const`[inline]`

Best solution found internally.

Definition at line 1357 of file CbcLinked.hpp.

void OsiSolverLinearizedQuadratic::setSpecialOptions3 | ( | int | value | ) | `[inline]`

Set special options.

Definition at line 1361 of file CbcLinked.hpp.

int OsiSolverLinearizedQuadratic::specialOptions3 | ( |  | ) | const`[inline]`

Get special options.

Definition at line 1365 of file CbcLinked.hpp.

ClpSimplex* OsiSolverLinearizedQuadratic::quadraticModel | ( |  | ) | const`[inline]`

Copy of quadratic model if one.

Definition at line 1369 of file CbcLinked.hpp.

## Member Data Documentation

double OsiSolverLinearizedQuadratic::bestObjectiveValue_`[protected]`

Objective value of best solution found internally.

Definition at line 1385 of file CbcLinked.hpp.

ClpSimplex* OsiSolverLinearizedQuadratic::quadraticModel_`[protected]`

Copy of quadratic model if one.

Definition at line 1387 of file CbcLinked.hpp.

double* OsiSolverLinearizedQuadratic::bestSolution_`[protected]`

Best solution found internally.

Definition at line 1389 of file CbcLinked.hpp.

int OsiSolverLinearizedQuadratic::specialOptions3_`[protected]`

0 bit (1) - don't do mini B&B 1 bit (2) - quadratic only in objective

Definition at line 1394 of file CbcLinked.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.1/Cbc/src/CbcLinked.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines